ACParserInternal::State Struct Reference

Internal: the state of a ACParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

Printing | m_printerPreferences
| the printer preferences More...
std::string | m_title
| the title (if defined) More...
Label | m_label
| the list type More...
std::string | m_stringLabel
| the custom label (if defined) More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a ACParser.

## Constructor & Destructor Documentation

ACParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int ACParserInternal::State::m_actPage

the actual page

int ACParserInternal::State::m_footerHeight

the footer height if known

int ACParserInternal::State::m_headerHeight

the header height if known

Label ACParserInternal::State::m_label

the list type

int ACParserInternal::State::m_numPages

the number of page of the final document

Printing ACParserInternal::State::m_printerPreferences

the printer preferences

std::string ACParserInternal::State::m_stringLabel

the custom label (if defined)

std::string ACParserInternal::State::m_title

the title (if defined)

The documentation for this struct was generated from the following file:

- ACParser.cxx